package tech.loedige;

public abstract class KeyStreamGenerator {
    /**
    * Berechnung des nächsten Schlüsselstrombytes.
     * (Entspricht einem einmaligen Aufruf der
     * Update-Funktion s und der Extraktions-Funktion S.)
     *
     * @return Nächstes Schlüsselstrombyte
     */
    abstract byte getNextKeyStreamByte(byte mByte);
}
